apiVersion: apps/v1
kind: Deployment
metadata:
  name: groupmeal
  namespace: kube-<NAMESPACES>
spec:
  
  selector:
    matchLabels:
      app: groupmeal
  replicas: 1
  template:
    metadata:
      labels:
        app: groupmeal
    spec:
      containers:
      - image: 10.2.1.24:10242/bpa/groupmeal:<BUILD_TAG>
        imagePullPolicy: IfNotPresent
        name: groupmeal
        env:
        - name: branch
          value: <BRANCH_NAME>
        - name: TZ
          value: Asia/Shanghai
        ports:
        - containerPort: 80
          protocol: TCP
        volumeMounts:
        - mountPath: "/app/appsettings.json"
          name: groupmeal-config
          readOnly: true
          subPath: appsetting
        - mountPath: "/etc/localtime"
          name: timezone
        resources:
          requests:
            cpu: "100m"
            memory: "112Mi"
          limits:
            cpu: "500m"
            memory: "512Mi"
      volumes:
      - name: groupmeal-config
        configMap:
          name: groupmeal-config
      - name: timezone
        hostPath:
          path: /usr/share/zoneinfo/Asia/Shanghai
---
kind: Service
apiVersion: v1
metadata:
  labels:
    app: groupmeal
  name: groupmeal
  namespace: kube-<NAMESPACES>
spec:
  type: ClusterIP
  ports:
  - port: 80
    name: http
  selector:
    app: groupmeal
